Subject: Re: [ofa-general] InfiniBand/RDMA merge plans for 2.6.24

From: Steve Wise <[email-masked]>
Date: Thu, 13 Sep 2007 13:59:21 -0500

Jeff Garzik wrote:
> Steve Wise wrote:
>> I was about to post v2 of my patch to avoid port space collisions with 
>> the native stack.  Can we get that 2.6.24?  It is high priority IMO. 
>> I've tried to solicit review on it, but I think folks are reluctant... 
>> ;-)
> 
> Well, if it involves /sharing/ port space with the native stack, i.e. 
> where port 1234 is IB but 1235 is Linux, pretty much all the networking 
> devs have NAK'd that approach AFAICS.
> 

Jeff, I posted a fix that doesn't do this.  No port sharing.  The iwarp 
device will use its own ip address and subnet to avoid collisions.  You 
should review the patch when I post v2.

Thanks,

Steve.